com.r3corda.core.contracts / SchedulableState

# SchedulableState

`interface SchedulableState : ContractState`

### Inherited Properties

contract | `abstract val contract: Contract` An instance of the contract class that will verify this state.
participants | `abstract val participants: List<PublicKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

nextScheduledActivity | `abstract fun nextScheduledActivity(thisStateRef: StateRef, protocolLogicRefFactory: ProtocolLogicRefFactory): ScheduledActivity?` Indicate whether there is some activity to be performed at some future point in time with respect to this ContractState, what that activity is and at what point in time it should be initiated. This can be used to implement deadlines for payment or processing of financial instruments according to a schedule.

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)

### Inheritors

State | `data class State : FixableDealState, SchedulableState` The state class contains the 4 major data classes.